Bug 178944 - MXUNIT limit of 99 is some times not enough
MXUNIT limit of 99 is some times not enough
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-25 12:22 EST by Luis
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-26 08:08:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis 2006-01-25 12:22:59 EST
Description of problem:

Hello:

This my help request is related with the solution often proposed for the know 
MXUNIT limit problem (see for example http://gcc.gnu.org/onlinedocs/gcc-
3.4.1/g77/Large-File-Unit-Numbers.html#Large%20File%20Unit%20Numbers) and the 
GCC packages distributed by RedHat for FC$ 

So here is my problem:

I recently updated my PC with the FC4 (2.6.14-1.1656_FC4) and i have gcc
gcc-4.0.2-8.fc4:

[casinhas@localhost ~]$ gcc -v
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,java,f95,ada --enable-java-awt=gtk
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre
--host=i386-redhat-linux
Thread model: posix
gcc version 4.0.2 20051125 (Red Hat 4.0.2-8)

and apparently the g77 fortran compiler that comes with this gcc package is:

[casinhas@localhost ~]$ g77 -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/3.2.3/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
--enable-languages=c,c++,f77 --disable-libgcj --host=i386-redhat-linux
Thread model: posix
gcc version 3.2.3 20030502 (Red Hat Linux 3.2.3-47.fc4)

The code that i need to compile sometimes opens more than 99 file units, wich
is the limit for the MXUNIT value of g77 compilers.

Reading the common solution for this know problem (see for example
http://gcc.gnu.org/onlinedocs/gcc-3.4.1/g77/Large-File-Unit-Numbers.html#Large%
20File%20Unit%20Numbers) it happens that I am not able to find the mentioned 
fio.h header file neither on the gcc
folders on my PC neither on the source code of the gcc-4.0.2-8.fc4 package
(gcc-4.0.2-20051126.tar.bz2). 

Hence i would like to ask for your help on the following questions:

1-Is the g77 compiler (gcc version 3.2.3 20030502 (Red Hat Linux
3.2.3-47.fc4)) the current fortran compiler component of the current gcc
package (gcc version 4.0.2 20051125 (Red Hat 4.0.2-8))?

2nd- If not, is there a g77 version 4.0.2-8, just like the gfortran, also
provided by the gcc package? 

3rd- With this current gcc package where can i find the mentioned fio.h header
file? Or, even better, how should i proceed in order to have my current g77
compiler with the MXUNIT values higher then 99?

Best regards
Luis Casinhas

P.S. - I do appologise if this is not the correct way to post a bug. Actualy
this is more a help request then a bug report (wich was already made by some
one els)


Version-Release number of selected component (if applicable):

[casinhas@localhost ~]$ gcc -v
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--enable-checking=release --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-libgcj-multifile
--enable-languages=c,c++,objc,java,f95,ada --enable-java-awt=gtk
--with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre
--host=i386-redhat-linux
Thread model: posix
gcc version 4.0.2 20051125 (Red Hat 4.0.2-8)


How reproducible:
Always if more then 99 file units are to be open/written

Steps to Reproduce:
1.Create some fortran77 source code that needs to read/write more then 99 file 
units
2.compile this source code with g77: g77 -o source.f source.o
3.run the executable
  
Actual results:
After file unit 99 beeing accessed, execution stops with an error saying the 
MXUNIT limit of 99 was reached

Expected results:
Capability of opening a larger number of file UNITS when f77 source code is 
compiled with the g77 compiler

Additional info:
Comment 1 Jakub Jelinek 2006-01-26 08:08:34 EST
Just use gfortran instead of g77.  g77 is included only for compatibility,
and when neither GCC 3.2 nor 3.4 used larger MXUNIT limit, the compatibility
compiler certainly shouldn't differ.

Note You need to log in before you can comment on or make changes to this bug.